Innehåll

# Option VBASupport Statement

Specifies that LibreOffice Basic will support some VBA statements, functions and objects.

This statement must be added before the executable program code in a module.

The support for VBA is not complete, but covers a large portion of the common usage patterns.

When VBA support is enabled, LibreOffice Basic function arguments and return values are the same as their VBA functions counterparts. When the support is disabled, LibreOffice Basic functions may accept arguments and return values different of their VBA counterparts.

### Syntax:

Option VBASupport {1|0}

### Parametrar:

1: Enable VBA support in LibreOffice

0: Disable VBA support

### Exempel:

    Option VBASupport 1
    Sub ExampleVBA
        Dim sVar As Single
        sVar = Worksheets("Sheet1").Range("A1")
        Print sVar
    End Sub

Närliggande ämnen

VBA Properties

VBA support in LibreOffice

CompatibilityMode() Function

Option ClassModule Statement

Stötta oss!